LibreOffice: Defaults Service Reference

LibreOffice LibreOffice 5.2 SDK API Reference

Included Services | Exported Interfaces | Public Attributes | List of all members
Defaults Service Referencepublished

provides default settings of a text component for paragraph and character properties. More...

`import"Defaults.idl";`

Inheritance diagram for Defaults:

## Included Services
service | com::sun::star::style::CharacterProperties
service | com::sun::star::style::ParagraphProperties
service | com::sun::star::style::CharacterPropertiesAsian
service | com::sun::star::style::CharacterPropertiesComplex
service | com::sun::star::style::ParagraphPropertiesAsian
service | com::sun::star::style::ParagraphPropertiesComplex

## Exported Interfaces
interface | com::sun::star::beans::XPropertySet

## Public Attributes
long | TabStopDistance
| default tab-distance to be used. More...
Public Attributes inherited from CharacterProperties
string | CharFontName
| This property specifies the name of the font style. More...
string | CharFontStyleName
| This property contains the name of the font style. More...
short | CharFontFamily
| This property contains font family. More...
short | CharFontCharSet
| This property contains the text encoding of the font. More...
short | CharFontPitch
| This property contains the font pitch. More...
com::sun::star::util::Color | CharColor
| This property contains the value of the text color. More...
short | CharEscapement
| specifies the percentage by which to raise/lower superscript/subscript characters. More...
float | CharHeight
| This value contains the height of the characters in point. More...
short | CharUnderline
| This property contains the value for the character underline. More...
float | CharWeight
| This property contains the value of the font weight. More...
com::sun::star::awt::FontSlant | CharPosture
| This property contains the value of the posture of the document. More...
boolean | CharAutoKerning
| This optional property determines whether the kerning tables from the current font are used. More...
com::sun::star::util::Color | CharBackColor
| This optional property contains the text background color. More...
long | CharShadingValue
| This optional property contains the text shading value. More...
boolean | CharBackTransparent
| This property determines if the text background color is set to transparent. More...
short | CharCaseMap
| This optional property contains the value of the case-mapping of the text for formatting and displaying. More...
boolean | CharCrossedOut
| This property is `TRUE` if the characters are crossed out. More...
boolean | CharFlash
| If this optional property is `TRUE`, then the characters are flashing. More...
short | CharStrikeout
| This property determines the type of the strike out of the character. More...
boolean | CharWordMode
| If this property is `TRUE`, the underline and strike-through properties are not applied to white spaces. More...
short | CharKerning
| This optional property contains the value of the kerning of the characters. More...
com::sun::star::lang::Locale | CharLocale
| This property contains the value of the locale. More...
boolean | CharKeepTogether
| This optional property marks a range of characters to prevent it from being broken into two lines. More...
boolean | CharNoLineBreak
| This optional property marks a range of characters to ignore a line break in this area. More...
boolean | CharShadowed
| This optional property specifies if the characters are formatted and displayed with a shadow effect. More...
short | CharFontType
| This optional property specifies the fundamental technology of the font. More...
string | CharStyleName
| This optional property specifies the name of the style of the font. More...
boolean | CharContoured
| This optional property specifies if the characters are formatted and displayed with a contour effect. More...
boolean | CharCombineIsOn
| This optional property determines whether text is formatted in two lines. More...
string | CharCombinePrefix
| This optional property contains the prefix (usually parenthesis) before text that is formatted in two lines. More...
string | CharCombineSuffix
| This optional property contains the suffix (usually parenthesis) after text that is formatted in two lines. More...
short | CharEmphasis
| This optional property contains the font emphasis value. More...
short | CharRelief
| This optional property contains the relief style of the characters. More...
string | RubyText
| This optional property contains the text that is set as ruby. More...
short | RubyAdjust
| This optional property determines the adjustment of the ruby . More...
string | RubyCharStyleName
| This optional property contains the name of the character style that is applied to RubyText. More...
boolean | RubyIsAbove
| This optional property determines whether the ruby text is printed above/left or below/right of the text. More...
short | CharRotation
| This optional property determines the rotation of a character in tenths of a degree. More...
boolean | CharRotationIsFitToLine
| This optional property determines whether the text formatting tries to fit rotated text into the surrounded line height. More...
short | CharScaleWidth
| This optional property determines the percentage value for scaling the width of characters. More...
string | HyperLinkURL
| This optional property contains the URL of a hyperlink. More...
string | HyperLinkTarget
| This optional property contains the name of the target for a hyperlink. More...
string | HyperLinkName
| This optional property contains the name of the hyperlink. More...
string | VisitedCharStyleName
| This optional property contains the character style name for visited hyperlinks. More...
string | UnvisitedCharStyleName
| This optional property contains the character style name for unvisited hyperlinks. More...
byte | CharEscapementHeight
| This is the relative height used for subscript or superscript characters in units of percent. More...
boolean | CharNoHyphenation
| This optional property determines if the word can be hyphenated at the character. More...
com::sun::star::util::Color | CharUnderlineColor
| This property contains the color of the underline for the characters. More...
boolean | CharUnderlineHasColor
| This property specifies if the property CharUnderlineColor is used for an underline. More...
sequence< string > | CharStyleNames
| This optional property specifies the names of the all styles applied to the font. More...
boolean | CharHidden
| If this optional property is `TRUE`, then the characters are invisible. More...
com::sun::star::container::XNameContainer | TextUserDefinedAttributes
| This property stores XML attributes. More...
com::sun::star::table::BorderLine2 | CharLeftBorder
| This property contains the left border of the object. More...
com::sun::star::table::BorderLine2 | CharRightBorder
| This property contains the right border of the object. More...
com::sun::star::table::BorderLine2 | CharTopBorder
| This property contains the top border of the object. More...
com::sun::star::table::BorderLine2 | CharBottomBorder
| This property contains the bottom border of the object. More...
long | CharBorderDistance
| This property contains the distance from the border to the object. More...
long | CharLeftBorderDistance
| This property contains the distance from the left border to the object. More...
long | CharRightBorderDistance
| This property contains the distance from the right border to the object. More...
long | CharTopBorderDistance
| This property contains the distance from the top border to the object. More...
long | CharBottomBorderDistance
| This property contains the distance from the bottom border to the object. More...
com::sun::star::table::ShadowFormat | CharShadowFormat
| Determines the type, color, and width of the shadow. More...
com::sun::star::util::Color | CharHighlight
| Determines the color of the highlight. More...
sequence< com::sun::star::beans::PropertyValue > | CharInteropGrabBag
| Grab bag of character properties, used as a string-any map for interim interop purposes. More...
Public Attributes inherited from ParagraphProperties
com::sun::star::style::ParagraphAdjust | ParaAdjust
| determines the adjustment of a paragraph. More...
com::sun::star::style::LineSpacing | ParaLineSpacing
| contains the type of the line spacing of a paragraph. More...
com::sun::star::util::Color | ParaBackColor
| contains the paragraph background color. More...
boolean | ParaBackTransparent
| This value is `TRUE` if the paragraph background color is set to transparent. More...
string | ParaBackGraphicURL
| contains the value of a link for the background graphic of a paragraph. More...
string | ParaBackGraphicFilter
| contains the name of the graphic filter for the background graphic of a paragraph. More...
com::sun::star::style::GraphicLocation | ParaBackGraphicLocation
| contains the value for the position of a background graphic. More...
short | ParaLastLineAdjust
| determines the adjustment of the last line. More...
boolean | ParaExpandSingleWord
| determines if single words are stretched. More...
long | ParaLeftMargin
| determines the left margin of the paragraph in 100th mm. More...
long | ParaRightMargin
| determines the right margin of the paragraph in 100th mm. More...
long | ParaTopMargin
| determines the top margin of the paragraph in 100th mm. More...
long | ParaBottomMargin
| determines the bottom margin of the paragraph in 100th mm. More...
boolean | ParaContextMargin
| determines if contextual spacing is used. More...
sequence< com::sun::star::beans::PropertyValue > | ParaInteropGrabBag
| Grab bag of paragraph properties, used as a string-any map for interim interop purposes. More...
boolean | ParaLineNumberCount
| determines if the paragraph is included in the line numbering. More...
long | ParaLineNumberStartValue
| contains the start value for the line numbering. More...
string | PageDescName
| If this property is set, it creates a page break before the paragraph it belongs to and assigns the value as the name of the new page style sheet to use. More...
short | PageNumberOffset
| If a page break property is set at a paragraph, this property contains the new value for the page number. More...
boolean | ParaRegisterModeActive
| determines if the register mode is applied to a paragraph. More...
sequence< com::sun::star::style::TabStop > | ParaTabStops
| specifies the positions and kinds of the tab stops within this paragraph. More...
string | ParaStyleName
| contains the name of the current paragraph style. More...
string | PageStyleName
| contains the name of the current page style. More...
com::sun::star::style::DropCapFormat | DropCapFormat
| specifies whether the first characters of the paragraph are displayed in capital letters and how they are formatted. More...
boolean | DropCapWholeWord
| specifies if the property DropCapFormat is applied to the whole first word. More...
boolean | ParaKeepTogether
| Setting this property to `TRUE` prevents page or column breaks between this and the following paragraph. More...
boolean | ParaSplit
| Setting this property to `FALSE` prevents the paragraph from getting split into two pages or columns. More...
short | NumberingLevel
| specifies the numbering level of the paragraph. More...
com::sun::star::container::XIndexReplace | NumberingRules
| contains the numbering rules applied to this paragraph. More...
short | NumberingStartValue
| specifies the start value for numbering if a new numbering starts at this paragraph. More...
boolean | ParaIsNumberingRestart
| determines if the numbering rules restart, counting at the current paragraph. More...
string | NumberingStyleName
| specifies the name of the style for the numbering. More...
byte | ParaOrphans
| specifies the minimum number of lines of the paragraph that have to be at bottom of a page if the paragraph is spread over more than one page. More...
byte | ParaWidows
| specifies the minimum number of lines of the paragraph that have to be at top of a page if the paragraph is spread over more than one page. More...
com::sun::star::table::ShadowFormat | ParaShadowFormat
| determines the type, color, and size of the shadow. More...
com::sun::star::table::BorderLine | LeftBorder
| contains the left border of the object. More...
com::sun::star::table::BorderLine | RightBorder
| contains the right border of the object. More...
com::sun::star::table::BorderLine | TopBorder
| contains the top border of the object. More...
com::sun::star::table::BorderLine | BottomBorder
| contains the bottom border of the object. More...
long | BorderDistance
| contains the distance from the border to the object. More...
long | LeftBorderDistance
| contains the distance from the left border to the object. More...
long | RightBorderDistance
| contains the distance from the right border to the object. More...
long | TopBorderDistance
| contains the distance from the top border to the object. More...
long | BottomBorderDistance
| contains the distance from the bottom border to the object. More...
com::sun::star::style::BreakType | BreakType
| determines the type of break that is applied at the beginning of the table. More...
string | DropCapCharStyleName
| specifies the character style name for drop caps. More...
long | ParaFirstLineIndent
| specifies the indent for the first line. More...
boolean | ParaIsAutoFirstLineIndent
| determines if the first line should be indented automatically. More...
boolean | ParaIsHyphenation
| specifies if automatic hyphenation is applied. More...
short | ParaHyphenationMaxHyphens
| specifies the maximum number of consecutive hyphens. More...
short | ParaHyphenationMaxLeadingChars
| specifies the maximum number of characters to remain before the hyphen character (when hyphenation is applied). More...
short | ParaHyphenationMaxTrailingChars
| specifies the maximum number of characters to remain after the hyphen character (when hyphenation is applied). More...
short | ParaVertAlignment
| specifies the vertical alignment of a paragraph. More...
com::sun::star::container::XNameContainer | ParaUserDefinedAttributes
| this property stores xml attributes. More...
boolean | NumberingIsNumber
| returns `FALSE` if the paragraph is part of a numbering, but has no numbering label. More...
boolean | ParaIsConnectBorder
| the property determines if borders set at a paragraph are merged with the next paragraph. More...
string | ListId
| specifies the id of the list to which the paragraph belongs More...
short | OutlineLevel
| specifies the outline level to which the paragraph belongs More...

## Additional Inherited Members
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Protected Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...
Protected Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Protected Attributes inherited from CharacterPropertiesAsian
float | CharHeightAsian
| This value contains the height of the characters in point. More...
float | CharWeightAsian
| This property contains the value of the font weight. More...
string | CharFontNameAsian
| This property specifies the name of the font style. More...
string | CharFontStyleNameAsian
| This property contains the name of the font style. More...
short | CharFontFamilyAsian
| This property contains font family as specified in com.sun.star.awt.FontFamily . More...
short | CharFontCharSetAsian
| This property contains the text encoding of the font as specified in com.sun.star.awt.CharSet. More...
short | CharFontPitchAsian
| This property contains the font pitch as specified in com.sun.star.awt.FontPitch. More...
com::sun::star::awt::FontSlant | CharPostureAsian
| This property contains the value of the posture of the document. More...
com::sun::star::lang::Locale | CharLocaleAsian
| contains the value of the locale. More...
Protected Attributes inherited from CharacterPropertiesComplex
float | CharHeightComplex
| This value contains the height of the characters in point. More...
float | CharWeightComplex
| This property contains the value of the font weight. More...
string | CharFontNameComplex
| This property specifies the name of the font style. More...
string | CharFontStyleNameComplex
| This property contains the name of the font style. More...
short | CharFontFamilyComplex
| This property contains font family as specified in com.sun.star.awt.FontFamily . More...
short | CharFontCharSetComplex
| This property contains the text encoding of the font as specified in com.sun.star.awt.CharSet. More...
short | CharFontPitchComplex
| This property contains the font pitch as specified in com.sun.star.awt.FontPitch. More...
com::sun::star::awt::FontSlant | CharPostureComplex
| This property contains the value of the posture of the document. More...
com::sun::star::lang::Locale | CharLocaleComplex
| contains the value of the locale. More...
Protected Attributes inherited from ParagraphPropertiesAsian
boolean | ParaIsHangingPunctuation
| determines if hanging punctuation is allowed. More...
boolean | ParaIsCharacterDistance
| determines if a distance between Asian text, western text or complex text is set. More...
boolean | ParaIsForbiddenRules
| determines if the rules for forbidden characters at the start or end of text lines are considered. More...
Protected Attributes inherited from ParagraphPropertiesComplex
short | WritingMode
| contains the writing direction, as represented by the com::sun::star::text::WritingMode2 constants More...

## Detailed Description

provides default settings of a text component for paragraph and character properties.

Developers Guide
  Text - Settings - Creating Default Settings

## Exported Interfaces

## ◆ com::sun::star::style::CharacterProperties

service com::sun::star::style::CharacterProperties

## ◆ com::sun::star::style::CharacterPropertiesAsian

service com::sun::star::style::CharacterPropertiesAsian
| optional

## ◆ com::sun::star::style::CharacterPropertiesComplex

service com::sun::star::style::CharacterPropertiesComplex
| optional

## ◆ com::sun::star::style::ParagraphProperties

service com::sun::star::style::ParagraphProperties

## ◆ com::sun::star::style::ParagraphPropertiesAsian

service com::sun::star::style::ParagraphPropertiesAsian
| optional

## ◆ com::sun::star::style::ParagraphPropertiesComplex

service com::sun::star::style::ParagraphPropertiesComplex
| optional

## Exported Interfaces

## ◆ com::sun::star::beans::XPropertySet

interface com::sun::star::beans::XPropertySet

## Member Data Documentation

## ◆ TabStopDistance

long TabStopDistance
| property

default tab-distance to be used.

The documentation for this service was generated from the following file:

- com/sun/star/text/Defaults.idl